package cn.stylefeng.workflow.api.enums;

import cn.hutool.core.convert.Convert;
import cn.hutool.core.util.ObjectUtil;
import cn.stylefeng.roses.kernel.rule.base.ReadableEnum;
import lombok.Getter;

@Getter
public enum ActivityRequestAfterTypeEnum implements ReadableEnum<ActivityRequestAfterTypeEnum> {

    CONTINUE(1, "继续流程"),

    SIGNAL(2, "阻塞，等待信号");

    private final Integer code;

    private final String name;

    ActivityRequestAfterTypeEnum(Integer value, String name) {
        this.code = value;
        this.name = name;
    }

    @Override
    public Object getKey() {
        return code;
    }

    @Override
    public Object getName() {
        return name;
    }

    @Override
    public ActivityRequestAfterTypeEnum parseToEnum(String originValue) {
        if (ObjectUtil.isEmpty(originValue)) {
            return null;
        }
        for (ActivityRequestAfterTypeEnum value : ActivityRequestAfterTypeEnum.values()) {
            if (value.code.equals(Convert.toInt(originValue))) {
                return value;
            }
        }
        return null;
    }
}
